org.apache.lucene.search.vectorhighlight

## Class WeightedFragListBuilder

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.BaseFragListBuilder
  - - org.apache.lucene.search.vectorhighlight.WeightedFragListBuilder

- All Implemented Interfaces:
    FragListBuilder

      public class WeightedFragListBuilder
      extends BaseFragListBuilder

  A weighted implementation of `FragListBuilder`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.vectorhighlight.BaseFragListBuilder

      `MARGIN_DEFAULT, MIN_FRAG_CHAR_SIZE_FACTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeightedFragListBuilder()`
    `WeightedFragListBuilder(int margin)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldFragList` | `createFieldFragList(FieldPhraseList fieldPhraseList, int fragCharSize)` create a FieldFragList.

    - ### Methods inherited from class org.apache.lucene.search.vectorhighlight.BaseFragListBuilder

      `acceptPhrase, createFieldFragList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WeightedFragListBuilder

          public WeightedFragListBuilder()

    - #### WeightedFragListBuilder

          public WeightedFragListBuilder(int margin)

  - ### Method Detail

    - #### createFieldFragList

          public FieldFragList createFieldFragList(FieldPhraseList fieldPhraseList,
                                                   int fragCharSize)

      Description copied from interface: `FragListBuilder`
      create a FieldFragList.
      Parameters:
        `fieldPhraseList` - FieldPhraseList object
        `fragCharSize` - the length (number of chars) of a fragment
      Returns:
        the created FieldFragList object

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.